## cdda2wav 0.8

=== Makefile ===
#! make -f 
#
# Makefile for cdda2wav, a sampling utility.
#
CDDA2WAVVERSION=0.8
KERNEL_SRCDIR=/usr/src/linux

RM=rm -f
#CC=c89
CC=gcc

# If you get compile errors and you have
# incorrect/missing links from /usr/include to the
# the kernel include subdirectories, here is an explicit hint.
# We need the links for the linux/asm/scsi subdirectories, that you
# would get when doing
#
#  'ln -s /usr/src/linux/include/linux /usr/include/linux'
#  'ln -s /usr/src/linux/include/asm /usr/include/asm'
#  'ln -s /usr/src/linux/include/scsi /usr/include/scsi'
# and maybe also
#  'ln -s /usr/src/linux/include/net /usr/include/net'
#
# (this assumes your kernel sources reside in /usr/src/linux).
#
# okay, I give in...
# the following lines try to adjust themselves

have_correct_link := $(shell \
   if [ -h /usr/include/scsi ]; then echo 1; else echo 0; fi)
ifneq ($(have_correct_link),1)
      KERNEL_INCLUDE_ROOT=-I$(KERNEL_SRCDIR)/include
else
      KERNEL_INCLUDE_ROOT=
endif


############# interface
# choose one of the following interfacing and device types.
# the first is for scsi cdrom devices.
# uncomment one INTERFACE and one DEF_DEVICE line
# (for details consult the README)

INTERFACE=\"generic_scsi\"

				# set the default cdrom device
DEF_DEVICE=\"/dev/sgd\"
				# matching device
                                # used for a MULTISESSION ioctl
AUX_DEVICE=\"/dev/cdrom\"

# for nonscsi cdrom drives with cdda kernel support ie atapi, cdu31a
# choose this if the kernel driver supports cdda reading
#INTERFACE=\"cooked_ioctl\"

				# set the default cdrom device
#DEF_DEVICE=\"/dev/cdrom\"
				# not actually used
#AUX_DEVICE=\"/dev/cdrom\"


############# Sound support
#to disable sound support comment out the next line
HAVE_SOUND=-DECHO_TO_SOUNDCARD
				# soundcard device when monitoring
SOUND_DEVICE=\"/dev/dsp\"

############# sound file defaults
# Defaults for wav/sun/raw output file format
				# default divider for 44.1 KHz
DEF_UNDERSAMPLING=1

				# 16, 12 or 8 bits per sample
DEF_BITS=16
				# 1 = mono, 2 = stereo
DEF_CHANNELS=2

############## output file type: wav or sun au ##############
# enable one DEF_TYPE and one DEF_FILE
# first are for wav sound files, second are for sun au pcm sound files,
# third are for headerless sound files (raw samples in lowendian format)
				# default audio file type
DEF_TYPE=\"wav\"
#DEF_TYPE=\"sun\"
#DEF_TYPE=\"raw\"

				# default file name for sound file
DEF_FILE=\"audio\"

############## installation directories #####################################
MAN_DIRECTORY=/usr/local/man
BIN_DIR=/usr/local/bin
ROOT=root

############## enable/disable info files ####################################
# Info files contain date/time, track, recording time, ISRC and optional MD5 
# signature each item in one line. These files are generated one per track.
# Comment out if you don't want this.
WANT_INFOFILES=-DINFOFILES

############## enable/disable MD5 signatures in info files ##################
# Comment out if you don't want this.
WANT_MD5=-DMD5_SIGNATURES
MD5OBJECTS=md5c.o

# End of Configuration ######################################################

DEFINES=-DCD_DEVICE=$(DEF_DEVICE) -DUNDERSAMPLING=$(DEF_UNDERSAMPLING) \
-DBITS_P_S=$(DEF_BITS) -DCHANNELS=$(DEF_CHANNELS) -DAUDIOTYPE=$(DEF_TYPE) \
-DDURATION=$(DEF_TIME) -DFILENAME=$(DEF_FILE) -DDEF_INTERFACE=$(INTERFACE) \
$(HAVE_SOUND) -DSOUND_DEV=$(SOUND_DEVICE) -DVERSION=\"$(CDDA2WAVVERSION)\" \
$(WANT_INFOFILES) $(WANT_MD5) -DAUX_DEVICE=$(AUX_DEVICE)

WARNINGS=-Wall -Wtraditional -Wshadow -Wpointer-arith -Wcast-qual \
-Wcast-align -Wwrite-strings -Wstrict-prototypes -Wnested-externs # -Wconversion -pedantic 
#CFLAGS=$(WARNINGS) -g -pipe $(KERNEL_INCLUDE_ROOT)
CFLAGS=$(WARNINGS) -O6 -s -fomit-frame-pointer -finline-functions -fcaller-saves\
       -funroll-loops -pipe $(KERNEL_INCLUDE_ROOT)

#LDFLAGS=-g -static
LDFLAGS=-s

MODULES=cdda2wav.o interface.o semshm.o resample.o indexscan.o wav.o sun.o raw.o md5c.o setuid.o

.PHONY:	install clean dist uuencoded lint_it

cdda2wav: $(MODULES)
	$(CC) $(LDFLAGS) $(MODULES) -o cdda2wav

install: cdda2wav.1 cdda2wav
	chown root cdda2wav
	chmod 555 cdda2wav
	install -m a+x -o $(ROOT) cdda2wav $(BIN_DIR)
	cp cdda2wav.1 $(MAN_DIRECTORY)/man1

# build distribution package
dist cdda2wav$(CDDA2WAVVERSION).src.tar.gz:
	mkdir cdda2wav$(CDDA2WAVVERSION)
	cp -a README Makefile scan_scsi uti.h \
	interface.h cdda2wav.h cdda2wav.c interface.c  semshm.c share.h \
	sun.c sun.h wav.c wav.h raw.c raw.h resample.c resample.h indexscan.c \
	indexscan.h md5.h md5c.c setuid.c setuid.h byteorder.h \
	GPL README.INSTALL HOWTOUSE THANKS \
	cdda2wav.1 cdda2wav.doc cdda2wav$(CDDA2WAVVERSION)
	tar cfvz cdda2wav$(CDDA2WAVVERSION).src.tar.gz \
	cdda2wav$(CDDA2WAVVERSION)

uuencoded: cdda2wav$(CDDA2WAVVERSION).src.tar.gz
	uuencode $< <$< >$<.uue

cdda2wav.o: Makefile cdda2wav.c wav.h sun.h uti.h interface.h cdda2wav.h \
	share.h resample.h indexscan.h md5.h setuid.h byteorder.h
	$(CC) $(CFLAGS) $(DEFINES)	-c cdda2wav.c

cdda2wav.s: Makefile cdda2wav.c wav.h sun.h uti.h interface.h cdda2wav.h \
	share.h resample.h indexscan.h md5.h setuid.h byteorder.h
	$(CC) $(CFLAGS) $(DEFINES)	-S cdda2wav.c

interface.o: Makefile interface.c interface.h cdda2wav.h share.h \
	setuid.h byteorder.h uti.h
	$(CC) $(CFLAGS) $(DEFINES)	-c interface.c

indexscan.o: Makefile indexscan.h indexscan.c cdda2wav.h
	$(CC) $(CFLAGS) $(DEFINES)	-c indexscan.c

semshm.o: Makefile semshm.c share.h
	$(CC) $(CFLAGS) $(DEFINES)	-c semshm.c

resample.o: Makefile byteorder.h resample.c interface.h cdda2wav.h
	$(CC) $(CFLAGS) $(DEFINES)	-c resample.c

wav.o: wav.c Makefile byteorder.h uti.h wav.h
	$(CC) $(CFLAGS) $(DEFINES)	-c wav.c

sun.o: sun.c Makefile byteorder.h uti.h sun.h
	$(CC) $(CFLAGS) $(DEFINES)	-c sun.c

raw.o: raw.c uti.h

md5c.o: md5c.c md5.h
	$(CC) $(CFLAGS)                 -c md5c.c

setuid.o: setuid.c setuid.h
	$(CC) $(CFLAGS)                 -c setuid.c

clean:
	$(RM) *.o *~ cdda2wav

lint_it:
	lclint $(DEFINES) +posixlib +skip-sys-headers +trytorecover +gnuextensions *.c

## cdda2wav 0.95b3-1

=== debian/changelog ===
cdda2wav (1:0.95b3-1) unstable frozen; urgency=low
  * New upstream source
  * Author reports this Fixes bug #21979 (a nasty core dump) and other 
    not-yet-reported-to-Debian bugs.  Should work better anyway..

 -- Erik Andersen <andersee@debian.org>  Mon, 22 Jun 1998 19:45:49 -0600

cdda2wav (1:0.95a17-1) unstable frozen; urgency=low
  * New upstream source fixes bug #12354 
  * Fixed bug #14843
  * Updated the debian/rules file

 -- Erik Andersen <andersee@debian.org>  Thu,  2 Apr 1998 01:06:34 -0700

cdda2wav (1:0.8-3) unstable; urgency=low

  * New maintainer 
  * Converted to using debhelper

 -- Erik Andersen <andersee@debian.org>  Wed, 29 Oct 1997 23:17:35 -0700

cdda2wav (1:0.8-2) unstable; urgency=low

  * Recompiled with libc6.

 -- Christian Schwarz <schwarz@debian.org>  Sun, 13 Jul 1997 17:21:36 +0200

cdda2wav (1:0.8-1) frozen unstable; urgency=low

  * Used epochs in version number to allow automatic upgrades.

 -- Christian Schwarz <schwarz@debian.org>  Thu, 17 Apr 1997 15:42:11 +0200

cdda2wav (0.8-1) unstable; urgency=low

  * New upstream release.
  * Upgraded to packaging standard 2.1.3.0

 -- Christian Schwarz <schwarz@debian.org>  Thu, 27 Mar 1997 20:05:39 +0100

cdda2wav (0.71-1) unstable; urgency=low

  * Initial Release.

 -- Christian Schwarz <schwarz@debian.org>  Mon, 6 Jan 1997 20:54:16 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: cdda2wav
Section: sound
Priority: extra
Maintainer: Erik Andersen  <andersee@debian.org>
Standards-Version: 2.3.0.0

Package: cdda2wav
Architecture: any
Depends: ${shlibs:Depends}
Description: Creates WAV files from audio cd's
 cdda2wav stands for CDDA to WAV (where CDDA stands for compact disc digital 
 audio and WAV is the sound sample format introduced by Windows 3.1). It
 allows copying CDDA audio data from the cdrom drive to a file in WAV or 
 sun audio format.  Audio sampling does not need to be done in realtime, 
 since data is read when needed.

=== debian/rules ===
#!/usr/bin/make -f
# Based on the sample debian/rules that uses debhelper,
# which is "GNU copyright 1997 by Joey Hess".

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=cdda2wav

build:	build-stamp
build-stamp:
	dh_testdir
	-./configure
	-make
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-make distclean
	rm -f scsilib/align_test
	dh_clean

# Build architecture-independent files here.
binary-indep:	build

# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	if [ -x configure ]; then make install prefix=`pwd`/debian/tmp/usr ;\
	else \
		make install DESTDIR=`pwd`/debian/tmp; \
	fi
	#Remove extras
	rm -rf `pwd`/debian/tmp/usr/bin/cdda2mp3*
	
	dh_installdocs README HOWTOUSE THANKS README.2_0_33 README.GoldstarR580B README.paranoia TODO
	dh_installexamples
	dh_installmenu
	#dh_installcron
	dh_installmanpages
	dh_undocumented pitchplay.1 readmult.1 scan_scsi.linux.1
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
